## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanAllocator< Type > Class Template Reference

List of all members.

## Public Types

- typedef size_t size_type
- typedef ptrdiff_t difference_type
- typedef Type * pointer
- typedef const Type * const_pointer
- typedef Type & reference
- typedef const Type & const_reference
- typedef Type value_type

## Public Member Functions

- XalanAllocator (MemoryManagerType &theManager)
- ~XalanAllocator ()
- MemoryManagerType & getMemoryManager ()
- pointer address (reference x) const
- const_pointer address (const_reference x) const
- pointer allocate (size_type size, const void *=0)
- void deallocate (pointer p, size_type)
- size_type max_size () const
- void construct (pointer p, const Type &val)
- void destroy (pointer p)

### template<class Type>
class XalanAllocator< Type >

## Member Typedef Documentation

template<class Type>
typedef const Type* XalanAllocator< Type >::const_pointer

template<class Type>
typedef const Type& XalanAllocator< Type >::const_reference

template<class Type>
typedef ptrdiff_t XalanAllocator< Type >::difference_type

template<class Type>
typedef Type* XalanAllocator< Type >::pointer

template<class Type>
typedef Type& XalanAllocator< Type >::reference

template<class Type>
typedef size_t XalanAllocator< Type >::size_type

template<class Type>
typedef Type XalanAllocator< Type >::value_type

## Constructor & Destructor Documentation

template<class Type>
XalanAllocator< Type >::XalanAllocator | ( | MemoryManagerType & | theManager | ) |

template<class Type>
XalanAllocator< Type >::~XalanAllocator | ( |  | ) |

## Member Function Documentation

template<class Type>
const_pointer XalanAllocator< Type >::address | ( | const_reference | x | ) | const

template<class Type>
pointer XalanAllocator< Type >::address | ( | reference | x | ) | const

template<class Type>
pointer XalanAllocator< Type >::allocate | ( | size_type | size,
|  | const void * | = 0
| ) |

template<class Type>
void XalanAllocator< Type >::construct | ( | pointer | p,
|  | const Type & | val
| ) |

template<class Type>
void XalanAllocator< Type >::deallocate | ( | pointer | p,
|  | size_type |
| ) |

template<class Type>
void XalanAllocator< Type >::destroy | ( | pointer | p | ) |

template<class Type>
MemoryManagerType& XalanAllocator< Type >::getMemoryManager | ( |  | ) |

template<class Type>
size_type XalanAllocator< Type >::max_size | ( |  | ) | const

The documentation for this class was generated from the following file:

- XalanAllocator.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.